/**
 * output package name
 */
package com.kingdee.eas.custom.dormitorysystem.enumerationset;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class DormitoryClassification extends StringEnum
{
    public static final String REGION_VALUE = "0";//alias=ÇøÓò
    public static final String BUILDING_VALUE = "1";//alias=Â¥¶°
    public static final String FLOOR_VALUE = "2";//alias=Â¥²ã
    public static final String ROOM_VALUE = "3";//alias=·¿¼ä
    public static final String BED_VALUE = "4";//alias=´²Î»

    public static final DormitoryClassification REGION = new DormitoryClassification("REGION", REGION_VALUE);
    public static final DormitoryClassification BUILDING = new DormitoryClassification("BUILDING", BUILDING_VALUE);
    public static final DormitoryClassification FLOOR = new DormitoryClassification("FLOOR", FLOOR_VALUE);
    public static final DormitoryClassification ROOM = new DormitoryClassification("ROOM", ROOM_VALUE);
    public static final DormitoryClassification BED = new DormitoryClassification("BED", BED_VALUE);

    /**
     * construct function
     * @param String dormitoryClassification
     */
    private DormitoryClassification(String name, String dormitoryClassification)
    {
        super(name, dormitoryClassification);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static DormitoryClassification getEnum(String dormitoryClassification)
    {
        return (DormitoryClassification)getEnum(DormitoryClassification.class, dormitoryClassification);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(DormitoryClassification.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(DormitoryClassification.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(DormitoryClassification.class);
    }
}